Requirements for offering App Store IAP

Getting into LiveCode for iOS? Ask your questions here.

Moderators: Klaus, FourthWorld, heatherlaine, kevinmiller, robinmiller

Post Reply
MrCrussell
Posts: 23
Joined: Wed Nov 05, 2014 11:30 am

Requirements for offering App Store IAP

Post by MrCrussell » Tue Jan 27, 2015 2:47 pm

Hi all,

I'm trying to sort out IAPs in my latest (first LC) app. I followed the code from here: http://lessons.runrev.com/m/4069/l/1868 ... e-appstore to add non-consumable items, created an appropriate IAP and added it to iTunes.

But, when I try to run the code through LC I get (Handler: can't find handler) near mobileStoreEnablePurchaseUpdates
and if I run it in the iOS simulator I get a total app crash.

Do I need a licensed version of LC to run & test IAPs (I'm using community for the time being), or am I being dim and missing something important? As far as I can see I don't need to add extra libs for IAPs etc...

Regards

Chris

Post Reply

Return to “iOS Deployment”